Page Summary
-
Updates an existing Network using the
PATCHmethod and providing the desired changes in the request body. -
The
network.nameis a required path parameter that identifies the network to update and cannot be changed. -
You can optionally specify an
updateMaskquery parameter to control which specific fields of the Network resource are modified. -
The request and response bodies both use the
Networkobject to represent the network configuration.
Updates a Network.
HTTP request
PATCH https://middlemileoptimization.googleapis.com/v1/{network.name=networks/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
network. |
Identifier. Cannot be updated. |
Query parameters
| Parameters | |
|---|---|
update |
Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Network.
Response body
If successful, the response body contains an instance of Network.